gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-challenger] branch master updated (181b525 -> a9a639e)


From: gnunet
Subject: [taler-challenger] branch master updated (181b525 -> a9a639e)
Date: Mon, 26 Aug 2024 20:41:45 +0200

This is an automated email from the git hooks/post-receive script.

dold pushed a change to branch master
in repository challenger.

    from 181b525  check return values
     new 9d925c2  bootstrap: do not fetch remote submodules
     new a9a639e  bump SPA, make bootstrap fail on error

The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 bootstrap              | 8 +++++++-
 contrib/check-prebuilt | 2 +-
 contrib/spa.lock       | 2 +-
 3 files changed, 9 insertions(+), 3 deletions(-)

diff --git a/bootstrap b/bootstrap
index a400c90..dca16ed 100755
--- a/bootstrap
+++ b/bootstrap
@@ -1,12 +1,18 @@
 #!/bin/sh
+# This file is in the public domain.
+
+set -eu
 
 if ! git --version >/dev/null; then
   echo "git not installed"
   exit 1
 fi
 
+# Beware: We only want to update submodules to the commit hash
+# stored in git, otherwise builds based on tags will not be
+# reproducible.
 echo "$0: Updating submodules"
-echo | git submodule update --init --force --remote
+echo | git submodule update --init --force
 
 ./contrib/check-prebuilt
 
diff --git a/contrib/check-prebuilt b/contrib/check-prebuilt
index 6699972..1089212 100755
--- a/contrib/check-prebuilt
+++ b/contrib/check-prebuilt
@@ -9,7 +9,7 @@ spa_ver_lock = open(contrib + "/" + "spa.lock").read().strip()
 spa_ver_prebuilt = open(contrib + "/" + 
"wallet-core/challenger/version.txt").read().strip()
 
 if spa_ver_lock != spa_ver_prebuilt:
-    print("SPA version mismatch")
+    print("SPA version mismatch (contrib/spa.lock)")
     print("lockfile has version", spa_ver_lock)
     print("prebuilt has version", spa_ver_prebuilt)
     sys.exit(1)
diff --git a/contrib/spa.lock b/contrib/spa.lock
index 6f87af9..a31499e 100644
--- a/contrib/spa.lock
+++ b/contrib/spa.lock
@@ -1 +1 @@
-0.12.2-dev.1
+0.12.12

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]